Package be.fgov.ehealth.consultrn.ssinhistory.protocol.v1

# Class ConsultCurrentSsinResponseType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.consultrn.ssinhistory.protocol.v1.ConsultCurrentSsinResponseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultCurrentSsinResponse`, `ConsultRelatedSsinsResponse`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:46+02:00", comments="JAXB RI v4.0.5") public class ConsultCurrentSsinResponseType extends StatusResponseType implements Serializable
Response type for full ssin history for a single ssin

Java class for ConsultCurrentSsinResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCurrentSsinResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="Ssin" type="{urn:be:fgov:ehealth:consultrn:ssinhistory:core:v1}SsinStatusType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultCurrentSsinResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SsinStatusType`
  `getSsin()`
  Gets the value of the ssin property.
  `void`
  `setSsin(SsinStatusType value)`
  Sets the value of the ssin property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultCurrentSsinResponseType

    public ConsultCurrentSsinResponseType()

- ## Method Details

  - ### getSsin

    public SsinStatusType getSsin()
    Gets the value of the ssin property.
    Returns:
      possible object is `SsinStatusType`

  - ### setSsin

    public void setSsin(SsinStatusType value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `SsinStatusType`